//
//  ViewController.m
//  Demo
//
//  Created by Ye Tong on 2018/11/17.
//  Copyright © 2018年 CTYun. All rights reserved.
//

#import "ViewController.h"
#import "OOS.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
	[super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
	
	CGSize size = self.view.bounds.size;
	__block UIImageView *imageView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, size.width, size.width)];
	imageView.contentMode = UIViewContentModeScaleAspectFit;
	imageView.backgroundColor = [UIColor lightGrayColor];
	[self.view addSubview:imageView];
	
	// 可以在网页中获取secretKey
	OOSStaticCredentialsProvider *provider = [[OOSStaticCredentialsProvider alloc] initWithAccessKey:@"2510935f75d781385b35" secretKey:@"567b89b544a89bb3d3ccef4be8507e6d30d75579"];
	
	// 选择所属Region
	OOSServiceConfiguration *configuration = [[OOSServiceConfiguration alloc] initWithRegion:OOSRegionHangZhou
																		 credentialsProvider:provider];
	configuration.maxRetryCount = 3;
	configuration.timeoutIntervalForRequest = 5000;
	
	// 设为默认配置
	[OOSServiceManager defaultServiceManager].defaultServiceConfiguration = configuration;
	
	OOSTransferManager *transferManager = [OOSTransferManager defaultTransferManager];
	
	NSTimeInterval timeIntervalSinceReferenceDate = [NSDate timeIntervalSinceReferenceDate];
	NSString *keyName = [NSString stringWithFormat:@"%@%lld", NSStringFromSelector(_cmd), (int64_t)timeIntervalSinceReferenceDate];
	
	NSURL *url = [[NSBundle mainBundle] URLForResource:@"d" withExtension:@"jpg"];
										 
	OOSTransferManagerUploadRequest *uploadRequest = [OOSTransferManagerUploadRequest new];
	uploadRequest.bucket = @"norris";
	uploadRequest.key = keyName;
	uploadRequest.body = url;
	
	[[transferManager upload:uploadRequest] continueWithBlock:^id(OOSTask *task) {
		if (task.error){
			NSLog(@"Error: %@", task.error);
		}
		
		if (task.result) {
			NSString *downloadingFilePath = [NSTemporaryDirectory() stringByAppendingPathComponent:@"temp.jpg"];
			NSURL *downloadingFileURL = [NSURL fileURLWithPath:downloadingFilePath];
			
			OOSTransferManagerDownloadRequest *downloadRequest = [OOSTransferManagerDownloadRequest new];
			downloadRequest.bucket = @"norris";
			downloadRequest.key = keyName;
			downloadRequest.downloadingFileURL = downloadingFileURL;
			
			[[transferManager download:downloadRequest] continueWithBlock:^id(OOSTask *task) {
				if (task.error){
					NSLog(@"Error: %@", task.error);
				}
				
				if (task.result) {
					dispatch_async(dispatch_get_main_queue(), ^{
						imageView.image = [UIImage imageWithContentsOfFile:downloadingFilePath];
					});
				}
				return nil;
			}];
		}
		return task;
	}];
}


@end
