/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
#ifndef OOSiOSSDK_OOSServiceEnum_h
#define OOSiOSSDK_OOSServiceEnum_h

/**
 *  Enums for OOS regions.
 *
 *  For information about which regions are supported for each service, see the linked website:
 *  http://docs.OOS.amazon.com/general/latest/gr/rande.html
 */
typedef NS_ENUM(NSInteger, OOSRegionType) {
    /**
     *  Unknown Region
     */
    OOSRegionUnknown NS_SWIFT_NAME(Unknown),
    /**
     *  杭州
     */
    OOSRegionHangZhou NS_SWIFT_NAME(HangZhou),
	/**
	 *  江苏
	 */
	OOSRegionJiangShu NS_SWIFT_NAME(JiangShu),
	/**
	 *  长沙
	 */
	OOSRegionChangSha NS_SWIFT_NAME(ChangSha),
	/**
	 *  广州
	 */
	OOSRegionGuangZhou NS_SWIFT_NAME(GuangZhou),
	/**
	 *  西安
	 */
	OOSRegionXiAn NS_SWIFT_NAME(XiAn),
	/**
	 *  北京2
	 */
	OOSRegionBeiJing2 NS_SWIFT_NAME(Beijing2),
	/**
	 *  内蒙2
	 */
	OOSRegionNeiMeng2 NS_SWIFT_NAME(NeiMeng2),
	/**
	 *  上海高品质
	 */
	OOSRegionShangHaiHQ NS_SWIFT_NAME(ShangHaiHQ),
	/**
	 *  北京高品质
	 */
	OOSRegionBeiJingHQ NS_SWIFT_NAME(BeiJingHQ),
};

/**
 *  Enums for ctyun services.
 */
typedef NS_ENUM(NSInteger, OOSServiceType) {
	/**
	 *  Unknown service
	 */
	OOSServiceUnknown NS_SWIFT_NAME(Unknown),
	/**
	 *   Simple Storage Service (S3)
	 */
	OOSServiceS3 NS_SWIFT_NAME(S3),
};

#endif
