#ifdef __OBJC__
#import <UIKit/UIKit.h>
#else
#ifndef FOUNDATION_EXPORT
#if defined(__cplusplus)
#define FOUNDATION_EXPORT extern "C"
#else
#define FOUNDATION_EXPORT extern
#endif
#endif
#endif

#import "OOSCredentialsProvider.h"
#import "OOSSignature.h"
#import "OOSBolts.h"
#import "OOSCancellationToken.h"
#import "OOSCancellationTokenRegistration.h"
#import "OOSCancellationTokenSource.h"
#import "OOSExecutor.h"
#import "OOSGeneric.h"
#import "OOSTask.h"
#import "OOSTaskCompletionSource.h"
#import "OOSCocoaLumberjack.h"
#import "OOSDDLog.h"
#import "OOSDDLogMacros.h"
#import "OOSDDOSLogger.h"
#import "CoreModel.h"
#import "OOSEXTKeyPathCoding.h"
#import "OOSEXTRuntimeExtensions.h"
#import "OOSEXTScope.h"
#import "OOSmetamacros.h"
#import "NSValueTransformer+OOSMTLPredefinedTransformerAdditions.h"
#import "OOSMTLJSONAdapter.h"
#import "OOSMTLModel+NSCoding.h"
#import "OOSMTLModel.h"
#import "OOSMTLReflection.h"
#import "OOSMTLValueTransformer.h"
#import "OOSNetworking.h"
#import "OOSURLSessionManager.h"
#import "OOSReachability.h"
#import "OOSSerialization.h"
#import "OOSURLRequestRetryHandler.h"
#import "OOSURLRequestSerialization.h"
#import "OOSURLResponseSerialization.h"
#import "OOSValidation.h"
#import "CoreService.h"
#import "OOSClientContext.h"
#import "OOSInfo.h"
#import "OOSServiceEnum.h"
#import "OOSTMCache.h"
#import "OOSTMCacheBackgroundTaskManager.h"
#import "OOSTMDiskCache.h"
#import "OOSTMMemoryCache.h"
#import "OOSUICKeyChainStore.h"
#import "OOSCategory.h"
#import "OOSSynchronizedMutableDictionary.h"
#import "OOSXMLDictionary.h"
#import "OOSXMLWriter.h"
#import "OOS.h"
#import "OOSModel.h"
#import "OOSPreSignedURL.h"
#import "OOSRequestRetryHandler.h"
#import "OOSResources.h"
#import "OOSSerializer.h"
#import "OOSService.h"
#import "OOSTransferManager.h"
#import "OOSTransferUtility+HeaderHelper.h"
#import "OOSTransferUtility+Validation.h"
#import "OOSTransferUtility.h"
#import "OOSTransferUtilityTasks.h"
#import "OOSCredentialsProvider.h"
#import "OOSSignature.h"
#import "OOSBolts.h"
#import "OOSCancellationToken.h"
#import "OOSCancellationTokenRegistration.h"
#import "OOSCancellationTokenSource.h"
#import "OOSExecutor.h"
#import "OOSGeneric.h"
#import "OOSTask.h"
#import "OOSTaskCompletionSource.h"
#import "OOSCocoaLumberjack.h"
#import "OOSDDLog.h"
#import "OOSDDLogMacros.h"
#import "OOSDDOSLogger.h"
#import "CoreModel.h"
#import "OOSEXTKeyPathCoding.h"
#import "OOSEXTRuntimeExtensions.h"
#import "OOSEXTScope.h"
#import "OOSmetamacros.h"
#import "NSValueTransformer+OOSMTLPredefinedTransformerAdditions.h"
#import "OOSMTLJSONAdapter.h"
#import "OOSMTLModel+NSCoding.h"
#import "OOSMTLModel.h"
#import "OOSMTLReflection.h"
#import "OOSMTLValueTransformer.h"
#import "OOSNetworking.h"
#import "OOSURLSessionManager.h"
#import "OOSReachability.h"
#import "OOSSerialization.h"
#import "OOSURLRequestRetryHandler.h"
#import "OOSURLRequestSerialization.h"
#import "OOSURLResponseSerialization.h"
#import "OOSValidation.h"
#import "CoreService.h"
#import "OOSClientContext.h"
#import "OOSInfo.h"
#import "OOSServiceEnum.h"
#import "OOSTMCache.h"
#import "OOSTMCacheBackgroundTaskManager.h"
#import "OOSTMDiskCache.h"
#import "OOSTMMemoryCache.h"
#import "OOSUICKeyChainStore.h"
#import "OOSCategory.h"
#import "OOSSynchronizedMutableDictionary.h"
#import "OOSXMLDictionary.h"
#import "OOSXMLWriter.h"
#import "OOS.h"
#import "OOSModel.h"
#import "OOSPreSignedURL.h"
#import "OOSRequestRetryHandler.h"
#import "OOSResources.h"
#import "OOSSerializer.h"
#import "OOSService.h"
#import "OOSTransferManager.h"
#import "OOSTransferUtility+HeaderHelper.h"
#import "OOSTransferUtility+Validation.h"
#import "OOSTransferUtility.h"
#import "OOSTransferUtilityTasks.h"

FOUNDATION_EXPORT double OOSVersionNumber;
FOUNDATION_EXPORT const unsigned char OOSVersionString[];

