//
//  ViewController.swift
//  SwiftDemo
//
//  Created by Ye Tong on 2018/11/18.
//  Copyright © 2018年 CTYun. All rights reserved.
//

import UIKit
import OOS

class ViewController: UIViewController {

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
		
		let size = self.view.bounds.size
		let imageView = UIImageView(frame: CGRect(x:0, y:0, width:size.width, height:size.width))
		imageView.contentMode = .scaleAspectFit
		imageView.backgroundColor = UIColor.lightGray
		self.view.addSubview(imageView)
		
		// 可以在网页中获取secretKey
		let provider = OOSStaticCredentialsProvider(accessKey:"2510935f75d781385b35", secretKey: "567b89b544a89bb3d3ccef4be8507e6d30d75579")
		
		// 选择所属Region
		let configuration = OOSServiceConfiguration(region:.HangZhou, credentialsProvider:provider)
		
		// 配置通用属性
		configuration!.maxRetryCount = 3
		configuration!.timeoutIntervalForRequest = 5000
		
		// 设为默认配置
		OOSServiceManager.default().defaultServiceConfiguration = configuration
		
		let keyName = "swift_demo_img"
		
		let url = Bundle.main.url(forResource: "d", withExtension: "jpg")
		let uploadRequest = OOSTransferManagerUploadRequest()
		uploadRequest!.bucket = "norris"
		uploadRequest!.key = keyName
		uploadRequest!.body = url!
		
		let transferManager = OOSTransferManager.default()
		transferManager.upload(uploadRequest!).continueWith { (task:OOSTask<AnyObject>!) -> Any? in
			
			if let error = task.error as NSError? {
				print("The request failed. Error: \(error)")
			} else if task.result != nil {
				
				let downloadingFileURL = NSURL(fileURLWithPath: NSTemporaryDirectory()).appendingPathComponent("temp.jpg")

				let downloadRequest = OOSTransferManagerDownloadRequest()
				downloadRequest!.bucket = "norris"
				downloadRequest!.key = keyName
				downloadRequest!.downloadingFileURL = downloadingFileURL!
				
				transferManager.download(downloadRequest!).continueWith(block: { (task2:OOSTask<AnyObject>!) -> Any? in
					
					if let error2 = task2.error as NSError? {
						print("The request failed. Error: \(error2)")
					}
					
					let data = try? Data(contentsOf: downloadingFileURL!)
					DispatchQueue.main.async(execute: { () -> Void in
						let image = UIImage(data: data!)
						imageView.image = image
					})
					
					return nil
				})
				
			}
			
			return nil
		}
		
		
	}


}

